Mailinglist Archive: opensuse-security-announce (21 mails)

< Previous Next >
[security-announce] SUSE-SU-2013:0934-1: important: Security update for Java 1.4.2
SUSE Security Update: Security update for Java 1.4.2
______________________________________________________________________________

Announcement ID: SUSE-SU-2013:0934-1
Rating: important
References: #494536 #592934 #819288
Cross-References: CVE-2013-1491 CVE-2013-1537 CVE-2013-1557
CVE-2013-1569 CVE-2013-2383 CVE-2013-2384
CVE-2013-2394 CVE-2013-2417 CVE-2013-2419
CVE-2013-2420 CVE-2013-2429 CVE-2013-2430
CVE-2013-2432
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 10 SP4
SUSE Linux Enterprise Java 11 SP2
SUSE Linux Enterprise Java 10 SP4
______________________________________________________________________________

An update that fixes 13 vulnerabilities is now available.

Description:


IBM Java 1.4.2 has been updated to SR13-FP17 fixing bugs
and security issues.

http://www.ibm.com/developerworks/java/jdk/alerts/
<http://www.ibm.com/developerworks/java/jdk/alerts/>

Security Issue references:

* CVE-2013-1491
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1491
>
* CVE-2013-2420
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2420
>
* CVE-2013-2432
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2432
>
* CVE-2013-1569
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1569
>
* CVE-2013-2384
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2384
>
* CVE-2013-2383
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2383
>
* CVE-2013-1557
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1557
>
* CVE-2013-1537
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1537
>
* CVE-2013-2429
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2429
>
* CVE-2013-2430
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2430
>
* CVE-2013-2394
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2394
>
* CVE-2013-2419
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2419
>
* CVE-2013-2417
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2417
>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP2:

zypper in -t patch sdksp2-java-1_4_2-ibm-7793

- SUSE Linux Enterprise Server 11 SP2 for VMware:

zypper in -t patch slessp2-java-1_4_2-ibm-7793

- SUSE Linux Enterprise Server 11 SP2:

zypper in -t patch slessp2-java-1_4_2-ibm-7793

- SUSE Linux Enterprise Java 11 SP2:

zypper in -t patch slejsp2-java-1_4_2-ibm-7793

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 ia64 ppc64
s390x x86_64):

java-1_4_2-ibm-devel-1.4.2_sr13.17-0.2.1

- SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 x86_64):

java-1_4_2-ibm-1.4.2_sr13.17-0.2.1

- SUSE Linux Enterprise Server 11 SP2 for VMware (i586 x86_64):

java-1_4_2-ibm-1.4.2_sr13.17-0.2.1

- SUSE Linux Enterprise Server 11 SP2 for VMware (i586):

java-1_4_2-ibm-jdbc-1.4.2_sr13.17-0.2.1
java-1_4_2-ibm-plugin-1.4.2_sr13.17-0.2.1

- SUSE Linux Enterprise Server 11 SP2 (i586 ia64 ppc64 s390x x86_64):

java-1_4_2-ibm-1.4.2_sr13.17-0.2.1

- SUSE Linux Enterprise Server 11 SP2 (i586):

java-1_4_2-ibm-jdbc-1.4.2_sr13.17-0.2.1
java-1_4_2-ibm-plugin-1.4.2_sr13.17-0.2.1

- SUSE Linux Enterprise Server 10 SP4 (i586 ia64 ppc s390x x86_64):

java-1_4_2-ibm-1.4.2_sr13.17-0.5.1
java-1_4_2-ibm-devel-1.4.2_sr13.17-0.5.1

- SUSE Linux Enterprise Server 10 SP4 (i586 ppc):

java-1_4_2-ibm-jdbc-1.4.2_sr13.17-0.5.1

- SUSE Linux Enterprise Server 10 SP4 (i586):

java-1_4_2-ibm-plugin-1.4.2_sr13.17-0.5.1

- SUSE Linux Enterprise Java 11 SP2 (i586 ppc64 s390x x86_64):

java-1_4_2-ibm-1.4.2_sr13.17-0.2.1

- SUSE Linux Enterprise Java 11 SP2 (i586):

java-1_4_2-ibm-jdbc-1.4.2_sr13.17-0.2.1
java-1_4_2-ibm-plugin-1.4.2_sr13.17-0.2.1

- SUSE Linux Enterprise Java 10 SP4 (i586 ia64 ppc s390x x86_64):

java-1_4_2-ibm-1.4.2_sr13.17-0.5.1
java-1_4_2-ibm-devel-1.4.2_sr13.17-0.5.1

- SUSE Linux Enterprise Java 10 SP4 (i586 ppc):

java-1_4_2-ibm-jdbc-1.4.2_sr13.17-0.5.1

- SUSE Linux Enterprise Java 10 SP4 (i586):

java-1_4_2-ibm-plugin-1.4.2_sr13.17-0.5.1


References:

http://support.novell.com/security/cve/CVE-2013-1491.html
http://support.novell.com/security/cve/CVE-2013-1537.html
http://support.novell.com/security/cve/CVE-2013-1557.html
http://support.novell.com/security/cve/CVE-2013-1569.html
http://support.novell.com/security/cve/CVE-2013-2383.html
http://support.novell.com/security/cve/CVE-2013-2384.html
http://support.novell.com/security/cve/CVE-2013-2394.html
http://support.novell.com/security/cve/CVE-2013-2417.html
http://support.novell.com/security/cve/CVE-2013-2419.html
http://support.novell.com/security/cve/CVE-2013-2420.html
http://support.novell.com/security/cve/CVE-2013-2429.html
http://support.novell.com/security/cve/CVE-2013-2430.html
http://support.novell.com/security/cve/CVE-2013-2432.html
https://bugzilla.novell.com/494536
https://bugzilla.novell.com/592934
https://bugzilla.novell.com/819288

http://download.novell.com/patch/finder/?keywords=8498417876678ff676fabbcad8fe7baa

http://download.novell.com/patch/finder/?keywords=f3aefaa5ff17f24bea6179229c3c9ceb

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages